Description

Hi there,

I haven´t found a way or workaround for the follow task:

a normal user is allowed to create any projects (maybe the project foo )

this user where added to manager role for this project

this user also can edit his created project

So far, so good.

But I found no way that this user can copy his created project unless he is no redmine-admin (I only found the copy-dialog for

projects under administration menu point :-/

Is it possible to set this right under roles ?

I only will allowed the user to get not permission denied error when he call http:// ... /projects/foo/copy

Possible destination places for the project copy seems for me:

all subprojects of source-project

root (copy as main-project)

any project where user has permission to create/edit project (nice to have, but not really necessary)

Related issues:

Is duplicate of Redmine - Feature #4687: Add copy project permission New 2010-01-29

History

#1 - 2013-04-02 02:48 - Christian Buczek

There was already a plugin for deleting projects from their owner...

Delete Project plugin

Delete project is a plugin which adds an ACL to allow non-admin users to delete their own projects.

Author: Anthony Paul

Latest release: 0.0.3, 2010-05-05

Compatible with: Redmine 0.9.3

Discussions: http://www.redmine.org/boards/3/topics/13521

Public SCM: n/a

Public ITS: n/a

 source: http://www.redmine.org/projects/redmine/wiki/Plugin_List#Customer-plugin

But this is still offline (while only for 0.x version).I can imagine that both features has the same logic (for verify permission).

#2 - 2013-04-19 15:09 - Christian Buczek

I got a dirty workaround which works for me:

./htdocs/app/controllers/projects_controller.rb

 somewhere between line 20 and 30:

  # CB: 2013-04-15 nachfolgend die Beschränkung, dass nur ein Admin ein Projekt kopieren kann, entfernt.

  #
  # old: before_filter :authorize_global, :only => [:new, :create, :copy]

  # old: before_filter :require_admin, :only => [ :copy, :archive, :unarchive, :destroy ]

  before_filter :authorize_global, :only => [:new, :create ]

  before_filter :require_admin, :only => [ :archive, :unarchive, :destroy ]

 now every user is abled to copy projects by entering the follows URL:

http: //localhost/redmine/projects/PROJECT_HE_IS_INVOLVED/ copy

note: dirty workaround, because every user can copy every project when he knows the internal project-id. By copying a project in which the user

isn´t involved, he also has no access to the copy of the project as long he didn´t set the flag 'public project' by copying :-/

#3 - 2015-04-16 08:02 - Sebastian Paluch

+1

and duplicated by #17961

#4 - 2015-04-16 13:39 - Jürgen Depicker

+1

and duplicate of #4687.

#5 - 2015-04-20 16:22 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Sebastian Paluch wrote:

and duplicated by #17961

 Jürgen Depicker wrote:

and duplicate of #4687.

 Thanks for pointing it out.

#6 - 2015-04-20 16:22 - Go MAEDA

- Is duplicate of Feature #4687: Add copy project permission added
